{% extends '@PiCRUD/show.html.twig' %}

{% block meta_description %}
    {% apply spaceless %}
        {% if entity.metaDescription is defined and entity.metaDescription is not empty %}
            {{ entity.metaDescription }}
        {% else %}
            Restez informé sur l'actualité du club de course d'orientation avec l'actualité {{ entity.title }}.
        {% endif %}
    {% endapply %}
{% endblock %}

{% block entity_breadcrumb %}
    {% if not entity.promote %}
        <nav aria-label="breadcrumb">
            <ol class="breadcrumb">
                <li class="breadcrumb-item"><a href="/"><i class="fa fa-home"></i></a></li>
                <li class="breadcrumb-item active" aria-current="page">{{ entity }}</li>
            </ol>
        </nav>
    {% else %}
        {{ parent() }}
    {% endif %}
{% endblock %}

{% block extra_content %}
    <div class="container-fluid my-4">
        {% if entity.files|length > 0 %}
            <div class="row">
                <div class="col-12 col-lg-10 offset-lg-1">
                    <h3 class="text-balise">Fichiers joints</h3>
                    {% for file in entity.files %}
                        <div class="card mb-4 card-file">
                            <div class="card-body">
                                <a title="{{ entity.title }} {{ file }}" class="text-dark stretched-link btn-download-news-file" href="{{ asset('files/' ~ file.fileName) }}">{{ file }}</a><span class="d-none d-lg-block float-right"><u>Télécharger</u></span>
                            </div>
                        </div>
                    {% endfor %}
                </div>
            </div>
        {% endif %}
    </div>
{% endblock %}
